
# PossibleActionsAndCurrentScore

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**possibleMoveActions** | [**List&lt;MoveAction&gt;**](MoveAction.md) | The actions available on your surrounding tiles (lookahead of one tile). |  [optional]
**canCollectScoreHere** | **Boolean** | In the tile where you are standing, is it possible to collect score (from hand to bag). |  [optional]
**canExitMazeHere** | **Boolean** | In the tile where you are standing, is it possible to exit the maze. Remember you will lose any score in hand  and only be rewarded with the score you have in your bag. |  [optional]
**currentScoreInHand** | **Integer** | What is the score you currently have in your hand. Find a score collection point and issue a collect  score command to move this score into your bag. Score in your hand is not awarded when you exit a maze. |  [optional]
**currentScoreInBag** | **Integer** | What is the score currently in your bag. When you exit the maze this score will be rewarded to your total  overall score. |  [optional]
**tagOnCurrentTile** | **Long** | The tag on the current tile |  [optional]



